<div id="uploadfirmwareBody">
    <div class="list-group">
        <span class="list-group-item has-varify" style="padding:0">
            <form class="box"  enctype="multipart/form-data" novalidate="" :class="upgradeBoxClassObj" @drag.stop.prevent @dragstart.stop.prevent @dragend.stop.prevent="onLeaveEndDrop($event)" @dragover.stop.prevent="onDragOverEnter" @dragenter.stop.prevent="onDragOverEnter" @dragleave.stop.prevent="onLeaveEndDrop($event)" @drop.stop.prevent="onLeaveEndDrop($event)" @submit="onSubmit($event)">
                <div class="box__input">
                    <svg class="box__icon" xmlns="http://www.w3.org/2000/svg" width="50" height="43" viewBox="0 0 50 43">
                        <path d="M48.4 26.5c-.9 0-1.7.7-1.7 1.7v11.6h-43.3v-11.6c0-.9-.7-1.7-1.7-1.7s-1.7.7-1.7 1.7v13.2c0 .9.7 1.7 1.7 1.7h46.7c.9 0 1.7-.7 1.7-1.7v-13.2c0-1-.7-1.7-1.7-1.7zm-24.5 6.1c.3.3.8.5 1.2.5.4 0 .9-.2 1.2-.5l10-11.6c.7-.7.7-1.7 0-2.4s-1.7-.7-2.4 0l-7.1 8.3v-25.3c0-.9-.7-1.7-1.7-1.7s-1.7.7-1.7 1.7v25.3l-7.1-8.3c-.7-.7-1.7-.7-2.4 0s-.7 1.7 0 2.4l10 11.6z"/>
                    </svg>
                    <input class="box__file hide" type="file" name="file" id="file" @change="onChange($event)"/>
                    <div  class="text-center box__font" >
                        <a>
                            <label for="file" >{{t($lang.com_upload.selectFile)}}.</label>
                        </a>
                        <h6>{{t($lang.com_upload.fileType)}} <span v-show="!isVpn">.bin</span> .zip .tar .gz </h6>
                    </div>
                </div>
                <div class="box__uploading text-center" style="text-transform: capitalize">
                    <span class='fa fa-circle-o-notch glyphicon-spin-animate'></span>
                    {{t($lang.com_upload.uoload)}}&hellip;
                </div>
                <div class="box__success text-center">
                    <span style="font-size: 16px;">{{t('SUCCESS!')}}</span>
                    <a class="box__reload">
                        <label for="file"> {{t($lang.com_upload.uploadFile)}}. </label>
                    </a>
                    <br/>
                    <h6 id="uploadFirmFileName">{{fileName}}</h6>
                </div>
                <div class="box__error text-center" style="font-style: normal;">
                    <span>{{error}}</span>
                    <a class="box__again">
                        <label for="file" style="max-width: 90%;">
                            <span style="text-transform: capitalize">{{t($lang.modal.failed)}}! </span>
                            <span>{{t(errorMsg)}}</span>
                            <div style="color:rgb(97, 102, 129); font-size: 14px;margin: 10px 0">{{t($lang.com_upload.tryAgain)}}</div>
                        </label>
                    </a>
                </div>
            </form>
        </span>
    </div>
</div>